Skip to main content
PATCH
/
domain-monitors
/
{id}
curl -X PATCH "https://kodostatus.com/api/v1/domain-monitors/dom_abc123" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "alert_days": 90,
    "enabled": true
  }'
{
  "id": "dom_abc123",
  "domain": "example.com",
  "alert_days": 90,
  "enabled": true,
  "last_checked_at": "2024-01-15T10:30:00Z",
  "registration": {
    "registrar": "Cloudflare, Inc.",
    "expiry_date": "2025-01-15T00:00:00Z",
    "days_until_expiry": 365
  },
  "updated_at": "2024-01-15T11:00:00Z"
}

Path Parameters

id
string
required
The unique identifier of the domain monitor to update

Request Body

All fields are optional.
alert_days
number
Days before expiration to trigger alerts
enabled
boolean
Enable or disable the monitor
service_id
string
Link to a service, or null to unlink
notification_channels
array
Update notification channel IDs

Response

Returns the updated domain monitor object.
curl -X PATCH "https://kodostatus.com/api/v1/domain-monitors/dom_abc123" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "alert_days": 90,
    "enabled": true
  }'
{
  "id": "dom_abc123",
  "domain": "example.com",
  "alert_days": 90,
  "enabled": true,
  "last_checked_at": "2024-01-15T10:30:00Z",
  "registration": {
    "registrar": "Cloudflare, Inc.",
    "expiry_date": "2025-01-15T00:00:00Z",
    "days_until_expiry": 365
  },
  "updated_at": "2024-01-15T11:00:00Z"
}